Clarify API
API ReferenceRecords Attachments

List Record Attachments

GET
/workspaces/{workspace}/objects/{object}/records/{id}/attachments
Authorization<token>

API key authentication. Send your key in the Authorization header as: api-key <your-api-key>.

In: header

Path Parameters

workspace*string
object*string
id*string

Query Parameters

page?

Response Body

application/json

curl -X GET "https://example.com/workspaces/string/objects/string/records/string/attachments"
{
  "links": {
    "next": "string",
    "prev": "string"
  },
  "meta": {
    "total_records": 0,
    "total_pages": 0
  },
  "data": [
    {
      "_id": "string",
      "name": "string",
      "_created_at": "string",
      "_created_by": "string",
      "source": "user",
      "mime_type": "string",
      "size_bytes": 0,
      "messageRef": {
        "_id": "string",
        "_created_at": "string"
      },
      "sender": {
        "personId": "string",
        "name": "string"
      }
    }
  ]
}